## steam 1.0.0.49

=== Makefile ===
#! /bin/make -f

all:
	@echo 'Run steam with "./steam" or install it with "sudo make install"'

install: install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE)deps $(DESTDIR)$(PREFIX)/bin/

install-docs:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -p -m 644 README steam_install_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -p -m 644 icons/16/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -p -m 644 icons/24/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -p -m 644 icons/256/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -p -m 644 icons/32/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE)_tray_mono.png $(DESTDIR)$(PREFIX)/share/pixmaps

install-bootstrap:
	install -d -m 755 $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/
	install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -p -m 644 steam.desktop $(DESTDIR)$(PREFIX)/share/applications/

install-apt-source:
	if [ -d /etc/apt ]; then \
		install -d -m 755 $(DESTDIR)/etc/apt/sources.list.d/; \
		install -p -m 644 steam.list $(DESTDIR)/etc/apt/sources.list.d/; \
		install -d -m 700 $(CURDIR)/gpg; \
		gpg --homedir=$(CURDIR)/gpg --no-default-keyring --keyring=$(CURDIR)/steam.gpg --import steam-key.asc; \
		install -d -m 755 $(DESTDIR)/etc/apt/trusted.gpg.d/; \
		install -p -m 644 steam.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/; \
		rm -rf $(CURDIR)/steam.gpg* $(CURDIR)/gpg; \
	fi

#########################
CLIENT=../../../../client
BINARIES=$(CLIENT)/ubuntu12_32
PACKAGE=steam
PREFIX?=/usr

RUNTIME_FILES := \
	steam-runtime/COPYING						\
	steam-runtime/README.txt					\
	steam-runtime/common-licenses					\
	steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1		\
	steam-runtime/i386/usr/lib/gcc/i686-linux-gnu/4.6.3		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.18	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6.3.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXau.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXau.so.6.0.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1.1.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6.0.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2 \
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2.2.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrender.so.1	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrender.so.1.3.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libfreetype.so.6	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libfreetype.so.6.8.0	\
	steam-runtime/i386/usr/share/doc/gcc-4.6-base/copyright		\
	steam-runtime/i386/usr/share/doc/libgcc1			\
	steam-runtime/i386/usr/share/doc/libstdc++6			\
	steam-runtime/i386/usr/share/doc/libx11-6/copyright		\
	steam-runtime/i386/usr/share/doc/libxau6/copyright		\
	steam-runtime/i386/usr/share/doc/libxcb1/copyright		\
	steam-runtime/i386/usr/share/doc/libxrandr2/copyright		\
	steam-runtime/i386/usr/share/doc/libxrender1/copyright		\
	steam-runtime/i386/usr/share/doc/libfreetype6/copyright		\
	steam-runtime/i386/usr/share/doc/libxdmcp6/copyright


check-version:
	./check_version.sh $(CLIENT)/bin_steam.sh debian/changelog

source-package: check-version
	install -p -m 755 $(CLIENT)/bin_steam.sh $(PACKAGE)
	install -p -m 755 $(CLIENT)/bin_steamdeps.py $(PACKAGE)deps
	install -p -m 644 $(CLIENT)/steam_install_agreement.txt .
	install -p -m 644 $(CLIENT)/public/steam_tray_mono.png icons/48/$(PACKAGE)_tray_mono.png
	mkdir -p bootstrap/ubuntu12_32
	mkdir -p bootstrap/linux32
	install -p -m 755 $(CLIENT)/linux32/steamerrorreporter bootstrap/linux32
	install -p -m 644 $(CLIENT)/steam_install_agreement.txt bootstrap/
	install -p -m 755 $(CLIENT)/steam.sh bootstrap/
	install -p -m 644 $(CLIENT)/steamdeps.txt bootstrap/
	install -p -m 755 $(BINARIES)/steam bootstrap/ubuntu12_32/
	install -p -m 755 $(BINARIES)/crashhandler.so bootstrap/ubuntu12_32/
	cat $(BINARIES)/steam-runtime.tar.xz.part* | tar xJf - -C bootstrap/ubuntu12_32/ $(RUNTIME_FILES)
	(cd bootstrap; tar caf ../bootstraplinux_ubuntu12_32.tar.xz *)
	rm -rf bootstrap
	dpkg-buildpackage -S -us -uc

.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source check-version source-package

## steam 1.0.0.39

=== debian/changelog ===
steam (1:1.0.0.39-2ubuntu1~ubuntu13.10.1) saucy-backports; urgency=low

  * No-change backport to saucy (LP: #1248694)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 06 Nov 2013 21:04:41 +0100

steam (1:1.0.0.39-2ubuntu1) trusty; urgency=low

  * Add an epoch to the version number as there was an unrelated steam package
    in the archive with a higher version number.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 29 Oct 2013 19:51:18 +0100

steam (1.0.0.39-2) unstable; urgency=medium

  * Install steam_tray_mono.png (closes: #711535).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 27 Aug 2013 01:54:48 +0000

steam (1.0.0.39-1) unstable; urgency=low

  * New upstream release.
  * Only build on i386 (closes: #706677).
  * Ensure steam.sh is in place (closes: #706857).
  * Add missing x11 build dependencies (closes: #706970).
    - Thanks to Stephen Kitt.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 27 May 2013 18:19:20 +0000

steam (1.0.0.36-1) experimental; urgency=low

  * New upstream release.
  * Fix paths in steam wrapper script (closes: #705334).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 20 Apr 2013 21:13:31 -0400

steam (1.0.0.33-1) experimental; urgency=low

  * Intitial release (closes: #440607).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 Feb 2013 16:59:29 +0000

=== debian/control ===
Source: steam
Section: non-free/games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <mgilbert@debian.org>
Build-Depends:
 debhelper (>= 9),
 libxcb1,
 libxau6,
 libx11-6,
 libxdmcp6,
 python-dev,
Standards-Version: 3.9.4
Homepage: http://www.steampowered.com

Package: steam
Architecture: i386
Multi-Arch: foreign
Pre-Depends:
 debconf,
 multiarch-support,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgl1-mesa-dri,
 libgl1-mesa-glx,
 xterm | gnome-terminal,
Recommends:
 zenity,
Description: Valve's Steam digital software delivery system
 Steam (http://www.steampowered.com) is a software content delivery system
 developed by Valve software (http://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software.  If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs.   There are also additional agreements in various
 parts of the application that differ from the original agreement.  In
 other words, pay attention and read carefully if you're worried about your
 rights.

=== debian/rules ===
#!/usr/bin/make -f

uversion=$(shell uscan --report | head -2 | tail -1 | cut -d\  -f7 | cut -d, -f1)
keepers=icons steam steam.6 steam.desktop steam_install_agreement.txt
orig=../steam_$(uversion).orig.tar.xz
dst=steam-$(uversion)

%:
	dh $@

override_dh_auto_configure:
	cp steam steam.real
	python debian/scripts/templates-helper

override_dh_clean:
	dh_clean
	rm -rf steam.real debian/templates
	python debian/scripts/copyright-helper \
	    debian/copyright.in debian/copyright

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true 
	rm -f $(orig)
	uscan --force-download --no-symlink
	mkdir -p $(dst)
	tar xf ../steam_$(uversion).tar.gz --strip-components=1 -C $(dst)
	rm -f $(dst)/steam
	cd $(dst) && tar xf bootstrap*.tar.* --strip-components=1
	cd $(dst) && for file in *; do \
	    echo $(keepers) | grep -q $$file || rm -rf $$file; done
	tar cJf $(orig) $(dst)
	rm -rf $(dst)
	@echo "Successfully created new upstream source file: $(orig)"

## steam 1.0.0.45

=== debian/changelog ===
steam (1:1.0.0.45-1ubuntu1.2) trusty; urgency=medium

  * Update udev rules for Steam controller to October 2016 version.
  * Add October 2016 udev rules for HTC Vive (LP: #1645141)
  * Be careful to use different filenames than those shipped in
    Ubuntu 16.10 or directly from Valve to avoid complicated
    file conflict issue.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2017 23:35:30 -0400

steam (1:1.0.0.45-1ubuntu1.1) trusty; urgency=medium

  * Add udev rules for Steam controller. (LP: #1498655)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2015 12:36:39 -0400

steam (1:1.0.0.45-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Add an epoch to the version number as there was an unrelated
      steam package in the archive with a higher version number.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 27 Jan 2014 18:03:46 +0100

steam (1.0.0.45-1) unstable; urgency=medium

  * New upstream release (closes: #733103).
  * Add xz-utils dependency (closes: #727839).
  * Recommend fonts-liberation (closes: #736455).
  * Add libtxc-dxtn-s2tc0 dependency (closes: #736663).
  * Add x-terminal-emulator dependency (closes: #733601).
  * Improve build failure message on unsupported architectures.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 20:08:56 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libx11-6,
  libxdmcp6,
  python-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.steampowered.com
 
 Package: steam
@@ -23,11 +23,14 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ xz-utils,
  libgl1-mesa-dri,
  libgl1-mesa-glx,
- xterm | gnome-terminal,
+ libtxc-dxtn-s2tc0,
+ xterm | x-terminal-emulator,
 Recommends:
  zenity,
+ fonts-liberation,
 Description: Valve's Steam digital software delivery system
  Steam (http://www.steampowered.com) is a software content delivery system
  developed by Valve software (http://www.valvesoftware.com).  There is

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 uversion=$(shell uscan --report | head -2 | tail -1 | cut -d\  -f7 | cut -d, -f1)
 keepers=icons steam steam.6 steam.desktop steam_install_agreement.txt
@@ -6,6 +8,10 @@
 dst=steam-$(uversion)
 
 %:
+ifneq ($(DEB_BUILD_ARCH), i386)
+	@echo "error: $(DEB_BUILD_ARCH) is not a supported architecture"
+	@exit 1
+endif
 	dh $@
 
 override_dh_auto_configure:

## steam 1.0.0.48

=== debian/changelog ===
steam (1:1.0.0.48-1ubuntu3) xenial; urgency=medium

  * Fix udev rules and add missing ones for fw updates (LP: #1498655)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2015 12:05:05 -0400

steam (1:1.0.0.48-1ubuntu2) wily; urgency=medium

  * Add device node udev rules for the Steam Controller. (LP: #1498655)
  * Add uinput rule for the Steam Controller. (LP: #1498658)

 -- Martin Packman <martin.packman@canonical.com>  Tue, 13 Oct 2015 19:57:01 +0000

steam (1:1.0.0.48-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Add an epoch to the version number as there was an unrelated
      steam package in the archive with a higher version number.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 29 Jun 2014 13:10:28 +0200

steam (1.0.0.48-1) unstable; urgency=medium

  * New upstream release
  * Add libudev1 dependency (closes: #730629).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 07:06:46 +0000

steam (1:1.0.0.47-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Add an epoch to the version number as there was an unrelated
      steam package in the archive with a higher version number.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 26 Apr 2014 12:03:17 +0200

steam (1.0.0.47-1) unstable; urgency=medium

  * New upstream release.
  * Redirect stderr to ~/.steam/error.log.
  * Better checking for steam updater failures.
  * Add libxinerama1 dependency (closes: #730629).
  * Depend libtxc-dxtn0 instead of libtxc-dxtn-s2tc0 (closes: #737300).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Mar 2014 03:05:53 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,18 @@
 dst=steam-$(uversion)
 
 %:
+	dh $@
 ifneq ($(DEB_BUILD_ARCH), i386)
 	@echo "error: $(DEB_BUILD_ARCH) is not a supported architecture"
 	@exit 1
 endif
-	dh $@
 
 override_dh_auto_configure:
 	cp steam steam.real
 	python debian/scripts/templates-helper
 
 override_dh_clean:
-	dh_clean
-	rm -rf steam.real debian/templates
+	dh_clean -- steam.real debian/templates
 	python debian/scripts/copyright-helper \
 	    debian/copyright.in debian/copyright

=== debian/watch ===
version=3
http://repo.steampowered.com/steam/pool/steam/s/steam/steam_(.*)\.tar\.gz

## steam 1.0.0.49

=== debian/changelog ===
steam (1.0.0.49-1) unstable; urgency=medium

  * New upstream release.
  * Simply the get-orig-source rule.
  * Remove unneeded build-dependencies.
  * Workaround an incompatibility between libstdc++ in the steam runtime
    and system mesa video card libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 02 Sep 2014 00:39:01 +0000

steam (1.0.0.48-2) unstable; urgency=medium

  * Add README.debian with some audio configuration tips (closes: #724971).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 08 Aug 2014 17:45:30 +0000

steam (1.0.0.47-3) unstable; urgency=medium

  * Explicitly set libc6 dependency (closes: #751145).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 06:45:27 +0000

steam (1.0.0.47-2) unstable; urgency=medium

  * Add libudev1 dependency (closes: #730629).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 09 Apr 2014 01:30:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,10 @@
 Source: steam
 Section: non-free/games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libxcb1,
- libxau6,
- libx11-6,
- libxdmcp6,
  python-dev,
 Standards-Version: 3.9.5
 Homepage: http://www.steampowered.com
@@ -19,14 +14,17 @@
 Multi-Arch: foreign
 Pre-Depends:
  debconf,
- multiarch-support,
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  xz-utils,
+ libudev1,
+ libxinerama1,
+ libtxc-dxtn0,
+ libc6 (>= 2.15),
  libgl1-mesa-dri,
  libgl1-mesa-glx,
- libtxc-dxtn-s2tc0,
  xterm | x-terminal-emulator,
 Recommends:
  zenity,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

uversion=$(shell uscan --report | head -2 | tail -1 | cut -d\  -f7 | cut -d, -f1)
keepers=icons lib steam.6 steam.real steam.desktop steam_install_agreement.txt
orig=../steam_$(uversion).orig.tar.xz
dest=../steam-$(uversion).orig

%:
	dh $@
ifneq ($(DEB_BUILD_ARCH), i386)
	@echo "error: $(DEB_BUILD_ARCH) is not a supported architecture"
	@exit 1
endif

override_dh_auto_configure:
	python debian/scripts/templates-helper

override_dh_clean:
	dh_clean -- debian/templates
	python debian/scripts/copyright-helper \
	    debian/copyright.in debian/copyright

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true 
	uscan --force-download --no-symlink
	rm -f $(orig)
	mkdir -p $(dest)
	tar xf ../steam_$(uversion).tar.gz --strip-components=1 -C $(dest)
	rm -f $(dest)/steam
	cd $(dest) && tar xf bootstrap*.tar.* --strip-components=1
	mv $(dest)/steam $(dest)/steam.real
	cd $(dest) && for file in *; do \
	    echo $(keepers) | grep -q $$file || rm -rf $$file; done
	tar cJf $(orig) $(dest)
	rm -rf $(dest)
	@echo "Successfully created new upstream source file: $(orig)"

## steam 1.0.0.52

=== debian/changelog ===
steam (1:1.0.0.52-5ubuntu1) yakkety; urgency=medium

  * Sync with Debian. Remaining change:
    - Add epoch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2016 20:18:49 -0400

steam (1.0.0.52-5) unstable; urgency=medium

  * Update to debhelper 10.
  * Update standards version.
  * Recommend libxss1 (closes: #835584).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Sep 2016 03:02:25 +0000

steam (1.0.0.52-4) unstable; urgency=medium

  * Team upload.
  * Add dependency on libgpg-error0. (Closes: #833113)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 17 Aug 2016 22:53:49 +0200

steam (1.0.0.52-3) unstable; urgency=medium

  * Remove incompatible libgpg-error libraries from the steam runtime directory
    (closes: #831602).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Jul 2016 22:50:36 +0000

steam (1.0.0.52-2) unstable; urgency=medium

  * Team upload.
  
  [ Alexandre Detiste ]
  * Fix arch:all build (Closes: #822341)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Jul 2016 16:18:44 +0200

steam (1.0.0.52-1) unstable; urgency=medium

  * New upstream release.
    - More udev rules supporting the HTC Vive headset.
  * Search only the steam runtime directory for incompatible libraries
    (closes: #819826).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2016 02:36:45 +0000

steam (1.0.0.51-1) unstable; urgency=medium

  * New upstream release.
  * Add steam-devices package (closes: #802104).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 02:24:46 +0000

steam (1.0.0.50-6) unstable; urgency=medium

  * Recommend rather than depend x-terminal-emulator.
  * Automatically set locale only when it is unset (closes: #795674).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 23 Aug 2015 20:56:48 +0000

steam (1.0.0.50-5) unstable; urgency=medium

  * Correctly make libx11-6 a build dependency.
  * Move the steam executable to /usr/lib/games/steam.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 09 Aug 2015 20:46:45 +0000

steam (1.0.0.50-4) unstable; urgency=medium

  * Add libx11-6 build dependency (closes: #793195).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 08 Aug 2015 21:33:59 +0000

steam (1.0.0.50-3) unstable; urgency=medium

  * Rebuild and reintroduce the package because of auto-cruft removal.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Aug 2015 00:05:41 +0000

steam (1.0.0.50-2) unstable; urgency=medium

  * Enable XS-Autobuild.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Jul 2015 18:16:15 +0000

steam (1.0.0.50-1) unstable; urgency=medium

  * New upstream release.
  * Use C locale by default (closes: #764311)
  * Better fix for steam including libstdc++ (closes: #781454).
  * Install steam executable to /usr/lib/steam (closes: #776183).
  * More robust handling of debconf selections (closes: #772598).
    - Thanks to Chris Kuehl.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Jun 2015 21:37:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: steam
 Section: non-free/games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
- debhelper (>= 9),
- python-dev,
-Standards-Version: 3.9.5
+ debhelper (>= 10),
+ python,
+ libx11-6,
+XS-Autobuild: yes
+Standards-Version: 3.9.8
 Homepage: http://www.steampowered.com
 
 Package: steam
@@ -25,10 +28,14 @@
  libc6 (>= 2.15),
  libgl1-mesa-dri,
  libgl1-mesa-glx,
- xterm | x-terminal-emulator,
+ libgpg-error0,
 Recommends:
  zenity,
+ libxss1,
  fonts-liberation,
+ xterm | x-terminal-emulator,
+Suggests:
+ steam-devices,
 Description: Valve's Steam digital software delivery system
  Steam (http://www.steampowered.com) is a software content delivery system
  developed by Valve software (http://www.valvesoftware.com).  There is
@@ -42,3 +49,14 @@
  parts of the application that differ from the original agreement.  In
  other words, pay attention and read carefully if you're worried about your
  rights.
+
+Package: steam-devices
+Architecture: all
+Depends:
+ ${misc:Depends},
+Recommends:
+ steam,
+Description: Device support for Steam-related hardware
+ This package provides udev rules for various Steam-related hardware devices
+ such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
+ headset).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
keepers=icons lib steam.6 steam steam.desktop steam_install_agreement.txt
orig=../steam_$(uversion).orig.tar.xz
dest=../steam-$(uversion).orig

build-arch:
ifneq ($(DEB_BUILD_ARCH), i386)
	@echo "error: $(DEB_BUILD_ARCH) is not a supported architecture"
	@exit 1
endif

%:
	dh $@

override_dh_auto_configure:
	python debian/scripts/templates-helper

override_dh_clean:
	dh_clean -- debian/templates
	python debian/scripts/copyright-helper \
	    debian/copyright.in debian/copyright

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true
	uscan --force-download --no-symlink
	rm -f $(orig)
	mkdir -p $(dest)
	tar xf ../steam_$(uversion).tar.gz --strip-components=1 -C $(dest)
	rm -f $(dest)/steam
	cd $(dest) && tar xf bootstrap*.tar.* --strip-components=1
	cd $(dest) && for file in *; do \
	    echo $(keepers) | grep -q $$file || rm -rf $$file; done
	tar cJf $(orig) $(dest)
	rm -rf $(dest)
	@echo "Successfully created new upstream source file: $(orig)"

## steam 1.0.0.54

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1		\
 	steam-runtime/i386/usr/lib/gcc/i686-linux-gnu/4.6.3		\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6	\
-	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.18	\
+	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21	\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6		\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6.3.0	\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXau.so.6		\
@@ -72,6 +72,10 @@
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1.1.0	\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6		\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6.0.0	\
+	steam-runtime/i386/usr/lib/i386-linux-gnu/libXext.so.6		\
+	steam-runtime/i386/usr/lib/i386-linux-gnu/libXext.so.6.4.0 	\
+	steam-runtime/i386/usr/lib/i386-linux-gnu/libXinerama.so.1	\
+	steam-runtime/i386/usr/lib/i386-linux-gnu/libXinerama.so.1.0.0	\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2 \
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2.2.0	\
 	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrender.so.1	\

=== debian/changelog ===
steam (1.0.0.54-2) unstable; urgency=medium

  * Fix error in removal of incompatible runtime libraries (closes: #850479).
    - Thanks to João Matos.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jan 2017 06:33:14 +0000

steam (1.0.0.54-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for the PlayStation DualShock 4 controller.
  * Remove more incompatible libraries from the steam runtime.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 04:23:15 +0000

steam (1.0.0.53-1) unstable; urgency=medium

  * New upstream release.
    - Adds udev rules for the HTC Vive's sensors, camera, and mass storage.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Nov 2016 23:09:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: steam
 Section: non-free/games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 10),

## steam 1.0.0.54+repack

=== debian/changelog ===
steam (1:1.0.0.54+repack-5ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid (LP: #1752198). Remaining changes:
    - Add an epoch to the version number.
    - Add a steam-installer package that depends on steam and contains
      appstream metadata to try to allow Steam to be installable via the
      default Software app.
    - Drop debconf question because that is not supported by gnome-software.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 18:32:39 -0600

steam (1.0.0.54-5) unstable; urgency=medium

  * Update to debhelper 11.
  * Recommend nvidia-driver-libs-i386 (closes: #839592).
  * Add German translation to the desktop file (closes: #889733).
    - Thanks to Ronny Standtke.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 17 Feb 2018 20:48:39 +0000

steam (1.0.0.54-4) unstable; urgency=medium

  * Team upload
  * Depend on libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0 now that S3TC
    support is no longer patent-encumbered and has been enabled in Mesa
    (Closes: #889987)
    - The alternative dependency can be removed if backports to older
      suites are no longer interesting.

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Feb 2018 21:42:49 +0000

steam (1.0.0.54-3) unstable; urgency=medium

  * Team upload.
  * Set DBUS_FATAL_WARNINGS environment variable to 0, working around
    versions of SDL that use the libdbus API incorrectly when ibus is
    detected. (Closes: #882607)
  * d/copyright: Refer to the https version of copyright-format
  * d/control: Elevate Priority from extra to optional, following the
    deprecation of extra in Policy v4.0.1
  * Update Standards-Version to 4.1.3 (no further changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2017 21:06:16 +0000

steam (1:1.0.0.54+repack-2ubuntu5) zesty; urgency=medium

  * Depend on steam instead of steam:i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2017 12:46:54 -0400

steam (1:1.0.0.54+repack-2ubuntu4) zesty; urgency=medium

  * Drop debconf question because debconf is not supported by
    gnome-software

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2017 22:21:03 -0400

steam (1:1.0.0.54+repack-2ubuntu3) zesty; urgency=medium

  * Add missing dh_gencontrol --remaining-packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 20:37:03 -0400

steam (1:1.0.0.54+repack-2ubuntu2) zesty; urgency=medium

  * Re-upload using the same original tarball Debian uses

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 20:25:36 -0400

steam (1:1.0.0.54-2ubuntu1) zesty; urgency=medium

  * Sync with Debian. (LP: #1645141) Remaining change:
    - Add epoch
  * Add a steam-installer package that depends on steam:i386 and
    contains appstream metadata to try to allow Steam to be installable
    via the default Software app (LP: #1564570)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 17:44:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: steam
 Section: non-free/games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -23,7 +24,7 @@
  xz-utils,
  libudev1,
  libxinerama1,
- libtxc-dxtn0,
+ libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0,
  libc6 (>= 2.15),
  libgl1-mesa-dri,
  libgl1-mesa-glx,
@@ -32,6 +33,7 @@
  zenity,
  libxss1,
  fonts-liberation,
+ nvidia-driver-libs-i386,
  xterm | x-terminal-emulator,
 Suggests:
  steam-devices,
@@ -49,6 +51,27 @@
  other words, pay attention and read carefully if you're worried about your
  rights.
 
+Package: steam-installer
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ steam (= ${source:Version})
+Description: Installer for Valve's Steam digital software delivery system
+ Steam (http://www.steampowered.com) is a software content delivery system
+ developed by Valve software (http://www.valvesoftware.com).  There is
+ some free software available, but for the most part the content delivered
+ is non-free.
+ .
+ This package enables Steam to be easily installed via an appstream client
+ on non-i386 systems as long as the i386 foreign architecture is configured.
+ This is the default on Ubuntu, but on Debian, you may need to run as root:
+ dpkg --add-architecture i386; apt update
+ .
+ This package is not needed if you only want to install Steam directly with
+ apt or with a non-appstream client like Synaptic.
+
 Package: steam-devices
 Architecture: all
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+dversion=$(shell dpkg-parsechangelog |grep ^Version: | cut -d ' ' -f 2 | cut -d : -f 2)
 
 uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
 keepers=icons lib steam.6 steam steam.desktop steam_install_agreement.txt
@@ -24,6 +26,11 @@
 	python debian/scripts/copyright-helper \
 	    debian/copyright.in debian/copyright
 
+# Don't use an epoch for steam-installer
+override_dh_gencontrol:
+	dh_gencontrol -psteam-installer -- -v$(dversion)
+	dh_gencontrol --remaining-packages
+
 get-orig-source:
 	@test "$(uversion)" = "" && \
 	    echo "There is no new upstream source file." && exit 1 || true

## steam 1.0.0.56

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 install-docs:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
-	install -p -m 644 README steam_install_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
+	install -p -m 644 README steam_subscriber_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
 	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
 	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/
 
@@ -100,12 +100,10 @@
 source-package: check-version
 	install -p -m 755 $(CLIENT)/bin_steam.sh $(PACKAGE)
 	install -p -m 755 $(CLIENT)/bin_steamdeps.py $(PACKAGE)deps
-	install -p -m 644 $(CLIENT)/steam_install_agreement.txt .
 	install -p -m 644 $(CLIENT)/public/steam_tray_mono.png icons/48/$(PACKAGE)_tray_mono.png
 	mkdir -p bootstrap/ubuntu12_32
 	mkdir -p bootstrap/linux32
 	install -p -m 755 $(CLIENT)/linux32/steamerrorreporter bootstrap/linux32
-	install -p -m 644 $(CLIENT)/steam_install_agreement.txt bootstrap/
 	install -p -m 755 $(CLIENT)/steam.sh bootstrap/
 	install -p -m 644 $(CLIENT)/steamdeps.txt bootstrap/
 	install -p -m 755 $(BINARIES)/steam bootstrap/ubuntu12_32/

=== debian/changelog ===
steam (1.0.0.56) precise; urgency=medium

  * Rename udev rules files to 60-* to fix #5169 and clean up naming.

 -- Pierre-Loup A. Griffais <pgriffais@valvesoftware.com>  Fri, 24 Aug 2018 20:01:53 -0700

steam (1.0.0.55) precise; urgency=medium

  * Update locstrings for .desktop file (thanks David Broz ans STS crew)
  * Update udev rules for VR and controllers

 -- Pierre-Loup A. Griffais <pgriffais@valvesoftware.com>  Tue, 29 May 2018 15:58:13 -0700

steam (1.0.0.54) precise; urgency=medium

  * Update controller udev rules to let Steam write to DualShock 4 HID nodes

 -- Pierre-Loup A. Griffais <pgriffais@valvesoftware.com>  Sat, 29 Oct 2016 18:23:06 -0700

steam (1.0.0.53) precise; urgency=medium

  * Update udev rules for HTC Vive and order them so they run after
	50-udev-default.rules but before 73-seat-late.rules

 -- John Vert <johnv@valvesoftware.com>  Wed, 18 May 2016 16:43:24 -0700

steam (1.0.0.52) precise; urgency=medium

  * fix potential file overwrite vulnerability
  * Add additional udev rules for HTC Vive 

 -- John Vert <johnv@valvesoftware.com>  Tue, 29 Mar 2016 12:33:54 -0700

steam (1.0.0.51) precise; urgency=medium

  * Add uinput rule for the Steam Controller.
  * Remove udev rule for the Oculus Rift VR headset.
  * Add udev rule for HTC Vive VR headset.

 -- John Vert <johnv@valvesoftware.com>  Tue, 17 Nov 2015 11:21:15 -0800

steam (1.0.0.50) precise; urgency=medium

  * Added libXinerama and libXext to the bootstrap runtime to fix AMD 
    graphics driver crashing if these aren't present.

 -- John Vert <johnv@valvesoftware.com>  Tue, 05 May 2015 10:44:29 -0700

steam (1.0.0.49) precise; urgency=medium

  * Update packaged icons.
  * Update liblibstdc++ file version to match new runtime.

 -- Pierre-Loup A. Griffais <pgriffais@valvesoftware.com>  Mon, 25 Aug 2014 17:57:42 -0700

steam (1.0.0.48) precise; urgency=medium

  * Update udev rules to encompass all Valve USB devices

 -- John Vert <johnv@valvesoftware.com>  Mon, 16 Jun 2014 11:42:10 -0700

steam (1.0.0.47) precise; urgency=low

  * Fix python indentation error

 -- Valve Corporation <linux@steampowered.com>  Mon, 10 Feb 2014 16:23:07 -0800

steam (1.0.0.46) precise; urgency=low

  * Change steamdeps to handle installing the right packages with Ubuntu Saucy 
    GL stack
  * Change apt repository to indicate only amd64 and i386 support

 -- Valve Corporation <linux@steampowered.com>  Mon, 10 Feb 2014 15:49:53 -0800

steam (1.0.0.45) precise; urgency=low

  * Add missing runtime dependencies for bootstrapping

 -- Valve Corporation <linux@steampowered.com>  Mon, 25 Nov 2013 10:52:42 -0700

steam (1.0.0.44) precise; urgency=low

  * Remove jockey-common from steamdeps

 -- Valve Corporation <linux@steampowered.com>  Wed, 13 Nov 2013 11:14:43 -0800

steam (1.0.0.43) precise; urgency=low

  * Update udev rules to support front panel and Oculus Rift
  * Demote jockey-common dependency to Recommends

 -- Valve Corporation <linux@steampowered.com>  Tue, 08 Oct 2013 10:52:42 -0700

steam (1.0.0.42) precise; urgency=low

  * Update udev rules

 -- Valve Corporation <linux@steampowered.com>  Mon, 09 Sep 2013 14:57:10 -0700

steam (1.0.0.41) precise; urgency=low

  * Fix steamdeps to handle installing the right packages on both quantal and 
    raring GL stacks.

 -- Valve Corporation <linux@steampowered.com>  Tue, 03 Sep 2013 12:57:06 -0700

steam (1.0.0.40) precise; urgency=low

  * Updated steamdeps to deal with raring GL stack in 12.04.3

 -- Valve Corporation <linux@steampowered.com>  Wed, 28 Aug 2013 13:29:31 -0700

steam (1.0.0.39) precise; urgency=low

  * Updated bootstrap files with proxy envvar parsing fixes

 -- Valve Corporation <linux@steampowered.com>  Thu, 9 May 2013 17:00:24 -0800

steam (1.0.0.38) precise; urgency=low

  * Updated bootstrap files with network download fixes

 -- Valve Corporation <linux@steampowered.com>  Wed, 24 Apr 2013 12:00:24 -0800

steam (1.0.0.37) precise; urgency=low

  * Updated steam:i386 dependency so it requires steam-launcher >= current version

 -- Valve Corporation <linux@steampowered.com>  Tue, 12 Mar 2013 11:38:24 -0800

steam (1.0.0.36) precise; urgency=low

  * Renamed /usr/share/pixmaps/steam_tray.png /usr/share/pixmaps/steam_tray_mono.png

 -- Valve Corporation <linux@steampowered.com>  Tue, 12 Mar 2013 11:21:08 -0800

steam (1.0.0.35) precise; urgency=low

  * Turned steam:i386 into a transitional package bringing in steam-launcher

 -- Valve Corporation <linux@steampowered.com>  Sun, 24 Feb 2013 17:45:01 -0800

steam (1.0.0.34) precise; urgency=low

  * Added support for the konsole terminal emulator during dependency installation
  * Added i386 as a foreign architecture if necessary on 64-bit systems

 -- Valve Corporation <linux@steampowered.com>  Sun, 24 Feb 2013 17:45:01 -0800

steam (1.0.0.33) precise; urgency=low

  * Fixed 32-bit package installation after a fresh install on 64-bit system

 -- Valve Corporation <linux@steampowered.com>  Sat, 23 Feb 2013 21:10:11 -0800

steam (1.0.0.32) precise; urgency=low

  * steam-launcher package also replaces the steam64 package
  * Re-added the steam:i386 package to ease transition to steam-launcher

 -- Valve Corporation <linux@steampowered.com>  Sat, 23 Feb 2013 15:59:46 -0800

steam (1.0.0.31) precise; urgency=low

  * Added dependencies on curl and xz-utils
  * Run apt-get update before trying to install additional dependencies

 -- Valve Corporation <linux@steampowered.com>  Sat, 23 Feb 2013 12:28:21 -0800

steam (1.0.0.30) precise; urgency=low

  * Made a single package that works on both 32 and 64-bit platforms

 -- Valve Corporation <linux@steampowered.com>  Mon, 18 Feb 2013 15:11:32 -0800

steam (1.0.0.29) precise; urgency=low

  * Temporarily removed dependency on 32-bit glx because this causes uninstallation of 64-bit X server if installed on Ubuntu 12.04.2.

 -- Valve Corporation <linux@steampowered.com>  Mon, 18 Feb 2013 15:11:32 -0800

steam (1.0.0.28) precise; urgency=low



=== debian/control ===
Source: steam
Section: games
Priority: optional
Maintainer: Valve Corporation <linux@steampowered.com>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: http://www.steampowered.com/

Package: steam-launcher
Architecture: all
Multi-Arch: foreign
Replaces: steam, steam64
Breaks: steam64
Depends: ${misc:Depends},
         ${python:Depends},
         curl,
         libc6 (>= 2.15),
         python-apt,
         xterm | gnome-terminal | konsole,
         xz-utils,
         zenity
Recommends: jockey-common
Description: Launcher for the Steam software distribution service
 Steam is a software distribution service with an online store, automated
 installation, automatic updates, achievements, SteamCloud synchronized
 savegame and screenshot functionality, and many social features.

Package: steam
Section: oldlibs
Priority: extra
Architecture: i386
Depends: steam-launcher (>= ${source:Version})
Description: Launcher for the Steam software distribution service
 This is a transitional package that can be safely removed once steam-launcher is installed.
